ReferenceDocumentsDocumentidShares
Stop sharing a document with a user or group (owner or admin)
Stop sharing a document with a user or group (owner or admin) - DELETE /documents/{documentId}/shares. DocDealer REST API reference.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
documentId*string
Query Parameters
subjectType*string
Value in
- "user"
- "group"
subjectId*string
Length
1 <= lengthResponse Body
application/json
application/json
application/json
application/json
curl -X DELETE "https://example.com/documents/string/shares?subjectType=user&subjectId=string"{ "ok": true}Activity of a run (technical detail only for organization administrators) GET
Activity of a run (technical detail only for organization administrators) - GET /documents/{documentId}/runs/{runId}/events. DocDealer REST API reference.
Who a document is shared with GET
Owner and admins see every share (API-key grants included); anyone who can read the document sees the user and group shares.